init -1 python:
    
    
    fleeting_template = Mod(
        
                ## Basic mod information (Important: Version is used to check for new versions of the mod. Failure to update the version number may lead to broken mods and saved games)
                name = "Love Is Fleeting",
                folder = "Love Is Fleeting",
                creator = "Nero",
                version = 1.0,
                pic = "title.png",
                description = """This mod makes the love your girls have for you slowly deteriorate over time.""",
                
                ## Init label: This will run when the mod is activated, allowing you to set some variables and events if necessary
                init_label = "fleeting_init",
                
                ## Night label: This should run at night
                night_label = "fleeting_night",
                
                )
    
## This label runs when the mod is activated
label fleeting_init():
    
    ## Important! It is necessary to copy the mod template to a variable upon initializing it if you would like mod variables to save together with the player's saved game (ie. most cases)
    $ fleeting = fleeting_template
          
    return
    
label fleeting_night():

    python:
        if calendar.time % 7 == 1:
        
            for girl in MC.girls:
                
                if girl.is_("very dom"): 
                    girl.change_love(-8)
                elif girl.is_("dom"): 
                    girl.change_love(-4)
                elif girl.is_("very sub"):
                    girl.change_fear(4)
                elif girl.is_("sub"):
                    girl.change_love(-2)
                    girl.change_fear(2)